PUT
Update Pronunciation Rule

Authorizations

X-API-Key
string
header
required

Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.

Path Parameters

rule_id
string
required

Body

application/json

Request model for updating a pronunciation rule.

term
string | null
Required string length: 1 - 200
rule_type
string | null
Pattern: ^(alias|phoneme)$
replacement
string | null
Maximum string length: 400
phoneme
string | null
Maximum string length: 400
case_sensitive
boolean | null
enabled
boolean | null

Response

Successful Response

Response model for a pronunciation rule.

id
string
required
scope
string
required
term
string
required
rule_type
string
required
created_at
string<date-time>
required
profile_id
string | null
replacement
string | null
phoneme
string | null
case_sensitive
boolean
default:false
enabled
boolean
default:true